function res = armaIRF(ar,ma,sig,T)
% 	ARMAIRF   plot IRF of ARMA model
% 		[RES] = ARMAIRF(AR,MA,SIG,T)
% 
% 	Plots the IRF of ARMA model given by
%      y(t) = ar(1).y(t-1) + ... + ar(p).y(t-p)
%                 + e(t) + ma(1).e(t-1) + ... + ma(q).e(t-q)
%   with p = length(ar) and q = length(ma) and
%   e ~ N(0,sig^2)
% 	
% 	Created by Christophe Cahn on 2013-02-16.
% 	Copyright (c)  . All rights reserved.

% assume no intercept
p = length(ar) ;
q = length(ma) ;
lagmax = max(p,q) ;

TT = T + lagmax ;

e = zeros(TT,1) ;

e(lagmax+1) = sig ;

res = armaSIM(ar,ma,sig,T,e);

end %  function