function [x_sol,itersol] = bisection(f,bounds)
% 	BISECTION   Find zero of function by bisection method
% 		x_sol = bisection(f,bounds) where bounds is a 
% 		size 2 vector containing lower and upper bounds for the 
%		search with bounds(1)<bounds(2). 
% 
% 	Created by Christophe on 2009-09-26.
% 	Copyright (c)  __MyCompanyName__. All rights reserved.
...
a = bounds(1);
b = bounds(2);
...
iter = 0;
isErrorSmall = 0;
isMaxItReached = 0 ;
itersol = [];
...
while ~isMaxItReached && ~isErrorSmall
	c = (a+b)/2;
	if (f(c)*f(a)) > 0
		a = c;
	else
		b = c;
	end
	iter = iter+1 ;
	isMaxItReached = (iter == 100);
	errorOnX = abs(b-a) 
	isErrorSmall = (errorOnX < 1e-4) ;
	itersol = [itersol [c; f(c)]];
end;
if isMaxItReached warning('max iterations has been reached'), end;
...
x_sol = c;
...
%end; %  function