function capitalSupply = computeCapitalSupply(r,model)

phi = model.params.phi ;
assetMax = model.params.assetMax ;
nAssets = model.params.nAssets ;

dr = computeDecisionRule(r,model) ;
statDist = computeInvariantDistribution(dr,model) ;
gridOfAsset = linspace(	phi, assetMax, nAssets) ;
nextPeriodCapital = gridOfAsset(dr) ;
capitalSupply = nextPeriodCapital(:)'*statDist(:) ;