function irf = computeIRF(model,periods, toPlot, toPrint, suffix)
% 	NMM_COMPUTEIRF   Short description
% 		[IRF] = NMM_COMPUTEIRF(MODEL,PERIODS)
% 
% 	Long description
% 	
% 	Created by Christophe on 2009-11-21.
% 	Copyright (c)  __MyCompanyName__. All rights reserved.

if nargin <= 4 suffix = '', end;
if nargin <= 3 toPrint = 0, end;
if nargin <= 2 toPlot = 0, end;


SIGMAA = model.SIGMAA ;
k = model.nExoVar ;
m = model.nEndoVar ;
exo_shock = SIGMAA*[ones(k,1) zeros(k,periods-1)];

[x,z] = simulateLinearDynamicModel(model,periods,exo_shock);

irf = [x; z];
names = [char(model.EndoNames); char(model.ExoNames)];

if toPlot
	nFig = (m+k)/4 ;
	if rem(m+k,4) ~= 0, nFig = floor(nFig) + 1 ; end;
	for ii=1:nFig-1
		figure(ii);
		for jj=1:4
			subplot(2,2,jj); plot(irf(jj+4*(ii-1),:)); 
			hold on;
			plot([0 periods],[0 0],'r');
			title(names(jj+4*(ii-1),:));
		end
	end
	figure(nFig)
	for jj=1:m+k-4*(nFig-1)
			subplot(2,2,jj); plot(irf(jj+4*(nFig-1),:)); title(names(jj+4*(nFig-1),:));
			hold on;
			plot([0 periods],[0 0],'r');
	end
end
if toPrint
	for ii=1:m+k
		figure(618)
		plot(irf(ii,:)); 
		hold on;
		plot([0 periods],[0 0],'r');
		title(names(ii,:));
		eval(['print -dpdf ''irf_' deblank(names(ii,:)) suffix '.pdf'';']);
		clf;
	end
end

end %  function