function B = dnplus(n);
% B = dnplus(n);
%
% Returns Dnp in vech(W) = Dnp * vec(W) when W is symetric.
% cf. Hamilton (1994,p.302)

% Christophe Cahn (c) 2014

B = zeros(n*(n+1)/2,n*n);
l = n;
ic = 1;
jc = 1;
for i=1:n
	B(ic:ic+l-1,jc:jc+l-1) = eye(l);
	ic = ic+l;
	jc = jc+l+i;
	l= l-1;
end