function [B,S,covB,covS] = estimVAR(Yobs,nlag)
% 	ESTIMVAR   VAR(p) estimation
% 		[[B,S]] = ESTIMVAR(Y,P)
% 
% 	The function returns the matrices B's and variance-covariance
%   matrix S so that
%   Y(t) = B(1)Y(t-1) + B(2)Y(t-2) + ... + B(p)Y(t-p) + U ~ N(0,S)
% 	
% 	Created by Christophe Cahn on 2014-04-28.
% 	Copyright (c)  . All rights reserved.

T = size(Yobs,1);
Y = Yobs(nlag+1:T,:)';
Z = [];
for ii=1:nlag
  Z = [Z;Yobs(nlag+1-ii:T-ii,:)'];
end
B = Y*Z'/(Z*Z');
U = Y - B*Z ;
S = 1/(T-nlag*size(Yobs,2)-1)*U*U';

% calcul de la matrice de variance covariance de B
covB = kron(inv(Z*Z'),S);
% calcul de la matrice de variance covariance de S  
covS = 2*dnplus(size(S,1))*kron(S,S)*dnplus(size(S,1))';
               

end %  function