function res = linInterp(x,f_i,vNodes)
% LININTERP Linear interpolation
%	linInterp(x,f,vNodes) approximates the function 
%	f for the nodes in vNodes by using cubic interpolation.
%  
res = zeros(size(x));
for ii=1:length(x)
	% test for validity of x
	isOnTheInterval = (x(ii) >= vNodes(1)) && (x(ii) <= vNodes(end));
	if ~isOnTheInterval, error('x out of bounds.'); end;
	...
	% find x_i
	if x(ii) == vNodes(end);
		x_i_indx = length(vNodes)-1;
	else
		x_i_indx = max(find(vNodes <= x(ii)));
	end
	x_i = vNodes(x_i_indx);
	x_j = vNodes(x_i_indx+1);
	res(ii) = (1-(x(ii)-x_i)/(x_j - x_i))*f_i(x_i_indx) +  ...
			  (x(ii)-x_i)/(x_j-x_i)*f_i(x_i_indx+1);
end
