function [x,z] = simulateLinearDynamicModel(model,periods,exo_shock)
% 	SIMULATELINEARDYNAMICMODEL   Short description
% 		[X,Z] = SIMULATELINEARDYNAMICMODEL(MODEL,PERIODS)
% 
% 	Long description
% 	
% 	Created by Christophe on 2009-11-21.
% 	Copyright (c)  __MyCompanyName__. All rights reserved.

SIGMAA = model.SIGMAA ;
m = model.nEndoVar;
k = model.nExoVar ;
P = model.P;
Q = model.Q;
N = model.N;

if (nargin <= 2)  	
	exo_shock = SIGMAA*randn( k, periods ); 
end;

z = zeros( k, periods );
x = zeros( m, periods );
z(:,1) = exo_shock(:,1);
x(:,1) = Q*z(:,1);
for ii=2:periods
	z(:,ii) = N*z(:,ii-1) + exo_shock(:,ii); 
	x(:,ii) = P*x(:,ii-1) + Q*z(:,ii);	
end



end %  function